Package org.gradle.api.attributes.java

# Interface TargetJvmEnvironment

All Superinterfaces:
  `Named`

public interface TargetJvmEnvironment extends Named
Represents the target JVM environment. Typically, a standard JVM or Android. This attribute can be used by libraries to indicate that a certain variant is better suited for a certain JVM environment. It does however NOT strictly require environments to match, as the general assumption is that Java libraries can also run on environments they are not optimized for.

Since:
  7.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ANDROID`
  An Android environment.
  `static final String`
  `STANDARD_JVM`
  A standard JVM environment (e.g.
  `static final Attribute<TargetJvmEnvironment>`
  `TARGET_JVM_ENVIRONMENT_ATTRIBUTE`

- ## Method Summary

  ### Methods inherited from interface org.gradle.api.Named

  `getName`

- ## Field Details

  - ### TARGET_JVM_ENVIRONMENT_ATTRIBUTE

    static final Attribute<TargetJvmEnvironment> TARGET_JVM_ENVIRONMENT_ATTRIBUTE

  - ### STANDARD_JVM

    static final String STANDARD_JVM
    A standard JVM environment (e.g. running on desktop or server machines).
    See Also:
      - Constant Field Values

  - ### ANDROID

    static final String ANDROID
    An Android environment.
    See Also:
      - Constant Field Values